PHP-päivitys WordPress
| |

PHP-version päivittäminen ja WordPressin tekniset ongelmat

Pitääkö sinun päivittää WordPress-kotisivujen tai WordPress-verkkokaupan PHP-versio?

Onko WordPress-sivustollasi ollut yhteensopivuusongelmia PHP-version päivittämisen jälkeen?

Tämän artikkelin ohjeilla päivität PHP:n turvallisesti!

Mitä PHP tarkoittaa?

PHP on ohjelmointikieli, jolla esimerkiksi WordPress on rakennettu. PHP on lyhenne sanoista Hypertext Preprocessor.

Mistä tiedän, mikä PHP-versio sivustollani on käytössä?

Palvelintilasi eli useimmiten webhotellin tarjoaja määrittelee sen, mikä PHP-versio sivustollasi on käytössä. Useimmat palveluntarjoajat antavat silti asiakkaalle mahdollisuuden päättää itse käytettävästä PHP-versiosta ja päivittää sen hallintapaneelista, kuten cPanelista.

Tätä kirjoitettaessa WordPressiä varten suositellaan, että käytössä olisi vähintään PHP-versio 7.3. Jos sivustollasi on käytössä liian vanha PHP-versio, näet siitä ylläolevan kuvan mukaisen varoituksen kirjauduttuasi WordPressin hallintaan.

Täältä voit lukea lisää WordPressin vaatimuksista: https://fi.wordpress.org/about/requirements/

Miksi PHP-versio pitäisi päivittää?

Uuden PHP-version myötä sivustosi tietoturva ja nopeus parantuvat.

Kinstan mukaan PHP 7.0 tuplasi suoritustehon verrattuna PHP:n 5.6 versioon. Sen lisäksi 7.3 version myötä on tullut vielä 20 – 25 prosenttia lisää tehoa verrattuna 7.0 versioon. WordPressin omilla sivuilla kerrotaan, että ”voit odottaa sivustosi nopeutuvan jopa kolme tai neljä kertaa aikaisempaa nopeammaksi.”

Päivität luultavasti WordPress-sivustollasi käytössä olevat lisäosat ja WordPress-järjestelmän paremman tietoturvan takia, eikö vain? Päivitä siis myös PHP.

Lisää vinkkejä WordPressin tietoturvan parantamiseen täältä.

PHP:n uusimpaan versioon päivittäminen on aina suositeltavaa, mutta miten se tehdään?

Miten PHP-versio päivitetään?

PHP-version päivittäminen WordPressiä varten tapahtuu palveluntarjoajasi hallintapaneelista.

PHP:n päivittäminen cPanelissa:

Klikkaa ”Valitse PHP versio” tai kielestä ja asetuksista riippuen ”Select PHP Version”.

Valitse alasvetovalikosta haluamasi PHP-versio. Klikkaa sen jälkeen ”Set as current” -painiketta.

Jos et pysty itse päivittämään PHP-versiota, ota yhteyttä palveluntarjoajaasi ja pyydä PHP-version päivittämistä uusimpaan versioon.

Miten vältetään tekniset ongelmat PHP-version päivityksen kanssa WordPressissä?

Ennen kuin päivität PHP-version, ota varmuuskopio koko sivustostasi. Päivitä lisäksi lisäosat, teema(t) ja WordPress-järjestelmä uusimpiin versioihin. Vasta näiden toimenpiteiden jälkeen PHP-versio kannattaa päivittää.

On myös olemassa PHP Compatibility Checker -niminen WordPress-lisäosa, jolla voit skannata sivustoltasi mahdollisesti löytyvät yhteensopivuusongelmat uudemman PHP-version kanssa. Lisäosa ei kuitenkaan ole täydellinen, ja joskus ongelmia saattaa ilmetä PHP-version päivityksessä vaikka lisäosan mukaan kaikki olisi näyttänyt olevan kunnossa.

Jos kuitenkin ehdit jo päivittää PHP-version ja saat seuraavat virheilmoitukset, palauta PHP-versio siihen samaan versioon, joka sivustollasi oli aiemmin käytössä.

Tällä sivustolla on teknisiä ongelmia. Lisätiedot on toimitettu sivuston pääkäyttäjälle sähköpostitse.

Sivustollasi on tekninen ongelma.”,

Joskus on käynyt niinkin, että asiakkaan sivuston PHP-versio on päivitetty palveluntarjoajan toimesta kysymättä mitään, ja se on johtanut teknisiin ongelmiin. Tällöin sivustolla on ollut vanhaa koodia, joka ei ole ollut yhteensopivaa uusien PHP-versioiden kanssa.

—-

Yhteenveto

Ota varmuuskopio ja päivitä lisäosat, teema ja WordPress ennen PHP:n päivittämistä.

Jos kohtaat teknisiä ongelmia, palauta vanha PHP-versio sivustolle ja ota yhteyttä ammattilaiseen, joka voi auttaa sinua asiassa. Voit olla esimerkiksi meihin yhteydessä, ja annamme hinta-arvion PHP-version päivittämiselle sekä ongelmien korjaamiselle.

TILAA UUTISKIRJEEMME

Saat ensimmäisten joukossa tiedot uusimmista artikkeleista, jotka ovat täynnä vinkkejä!

Voit perua uutiskirjeen tilauksen milloin tahansa.